import pandas as pd

def repo_id_from_upstream(vcs_link):
    if 'github' in vcs_link:
        repo_id = vcs_link[len('https://github.com/'):]
    else:
        parts = vcs_link.split('/')
        repo_id = '/'.join(parts[3:])
    und_repo_id = '_'.join(repo_id.split("/"))
    return und_repo_id

def get_readme_list(csv_path):
    #main_df = pd.read_csv('final_data/deb_full_data.csv')
    existing_list = pd.read_csv(csv_path)
    existing_list['repo_id'] = existing_list['upstream_vcs_link'].apply(repo_id_from_upstream)
    present_data = existing_list[['upstream_vcs_link', 'repo_id']]
    present_data.to_csv('012925_readme_manifest.csv', index=False)


def get_contributing_list(csv_path):
    existing_list = pd.read_csv(csv_path)
    existing_list['repo_id'] = existing_list['upstream_vcs_link'].apply(repo_id_from_upstream)
    present_data = existing_list[['upstream_vcs_link', 'repo_id']]
    present_data.to_csv('012925_contributing_manifest.csv', index=False)

if __name__ == "__main__":
    #get_contributing_list('../final_data/deb_contrib_did.csv')
    get_readme_list('../final_data/deb_readme_did.csv')